Bug 1924140 - [OSP] Typo in OPENSHFIT_INSTALL_SKIP_PREFLIGHT_VALIDATIONS variable
Summary: [OSP] Typo in OPENSHFIT_INSTALL_SKIP_PREFLIGHT_VALIDATIONS variable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.8.0
Assignee: Mike Fedosin
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-02 17:08 UTC by Mike Fedosin
Modified: 2021-07-27 22:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:37:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4608 0 None closed Bug 1924140: fix a typo in an env variable name 2021-02-17 06:08:23 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:39:28 UTC

Description Mike Fedosin 2021-02-02 17:08:30 UTC
There is a typo in OPENSHFIT_INSTALL_SKIP_PREFLIGHT_VALIDATIONS name, it should be OPENSHIFT_INSTALL_SKIP_PREFLIGHT_VALIDATIONS

Comment 2 weiwei jiang 2021-02-22 07:10:30 UTC
verified with 4.8.0-0.nightly-2021-02-21-102854

$ ./openshift-install-4.8 version 
./openshift-install-4.8 4.8.0-0.nightly-2021-02-21-102854
built from commit 76838621d9ad64ee41bcda3a434c7282bcdb18a1
release image registry.ci.openshift.org/ocp/release@sha256:493bb3457443791e628be0d7262bf92771d65952686c1fa412e2c6aba672d9d9



$ export OPENSHIFT_INSTALL_SKIP_PREFLIGHT_VALIDATIONS=0  
$ ./openshift-install-4.8 create manifests --dir bz1924140 --log-level debug
DEBUG OpenShift Installer 4.8.0-0.nightly-2021-02-21-102854 
DEBUG Built from commit 76838621d9ad64ee41bcda3a434c7282bcdb18a1 
DEBUG Fetching Master Machines...                  
DEBUG Loading Master Machines...                   
DEBUG   Loading Cluster ID...                      
DEBUG     Loading Install Config...                
DEBUG       Loading SSH Key...                     
DEBUG       Loading Base Domain...                 
DEBUG         Loading Platform...                  
DEBUG       Loading Cluster Name...                
DEBUG         Loading Base Domain...               
DEBUG         Loading Platform...                  
DEBUG       Loading Networking...                  
DEBUG         Loading Platform...                  
DEBUG       Loading Pull Secret...                 
DEBUG       Loading Platform...                    
FATAL failed to fetch Master Machines: failed to load asset "Install Config": platform.openstack.defaultMachinePlatform.type: Invalid value: "": Flavor did not meet the following minimum requirements: Must have minimum of 16 GB RAM, had 0 GB; Must have minimum of 4 VCPUs, had 0; Must have minimum of 25 GB Disk, had 0 GB 
$ export OPENSHIFT_INSTALL_SKIP_PREFLIGHT_VALIDATIONS=1 
$ ./openshift-install-4.8 create manifests --dir bz1924140                  
WARNING OVERRIDE: pre-flight validation disabled.    
INFO Credentials loaded from file "/home/wjiang/osp_remover/clouds.yaml" 
INFO Consuming Install Config from target directory 
INFO Manifests created in: bz1924140/manifests and bz1924140/openshift

Comment 6 errata-xmlrpc 2021-07-27 22:37:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.